org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: java.lang.RuntimeException: org.eclipse.equinox.p2.core.ProvisionException: Communication with repository at http://xxx/nexus/content/groups/eclipse/ failed.

Eclipse Bugzilla | alan.mosely | 5 years ago
  1. 0

    Timeout reading P2 repository

    Eclipse Bugzilla | 5 years ago | alan.mosely
    org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: java.lang.RuntimeException: org.eclipse.equinox.p2.core.ProvisionException: Communication with repository at http://xxx/nexus/content/groups/eclipse/ failed.
  2. 0

    Building spring-ide-3.6.3.RELEASE error

    Stack Overflow | 2 years ago | Sega
    org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from org.eclipse.jdt.core 3.9.0.v_OTDT_r220_201306071800 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).; Unable to satisfy dependency from org.eclipse.jdt.core 3.9.1.v_OTDT_r221_201309101918 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).; Unable to satisfy dependency from org.eclipse.jdt.core 3.9.2.v_OTDT_r222_201402180730 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.asm [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.beans [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.beans.factory [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.beans.factory.annotation [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.beans.factory.config [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.beans.factory.parsing [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.beans.factory.support [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.beans.factory.xml [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.context [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.context.annotation [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.core [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.core.annotation [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.core.io [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.core.io.support [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.core.type [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.core.type.classreading [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.core.type.filter [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.core 3.6.3.qualifier to package org.springframework.util [4.0.0,4.1.0).; Unable to satisfy dependency from org.springframework.ide.eclipse.uaa 3.6.4.201412120019-CI-B3 to package org.springframework.util [4.0.0,4.1.0).; Unable to satisfy dependency from org.springsource.ide.eclipse.commons.configurator 3.6.4.201412120019-CI-B3 to bundle org.springframework.core [4.0.0,4.1.0).; No solution found because the problem is unsatisfiable.]
  3. 0

    Tycho: Dependencies to other plugins of the project cannot be resolved when building plugins separately

    Stack Overflow | 4 years ago | tbacker
    org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from com.mycompany.myproduct.gui.editors 1.8.15.qualifier to bundle com.mycompany.myproduct.preferences 1.8.15.", "Unable to satisfy dependency from com.mycompany.myproduct.gui.editors 1.8.15.qualifier to bundle com.mycompany.myproduct.gui.utils 1.8.15.", "No solution found because the problem is unsatisfiable."]
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Tycho User Discussions ()

    gmane.org | 1 year ago
    org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from org.eclipse.jdt.core 3.8.1.v_OTDT_r210_201206090452 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.2.v_OTDT_r211_201209011847 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "Unable to satisfy dependency from org.eclipse.jdt.core 3.8.3.v_OTDT_r212_201301271217 to org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).", "Unable to satisfy dependency from org.openrdf.sesame2 2.7.0 to package au.com.bytecode.opencsv 0.0.0.", "No solution found because the problem is unsatisfiable."]
  6. 0

    Tycho: Dependencies to other plugins of the project cannot be resolved when building plugins separately

    dolinked.com | 1 year ago
    org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from com.mycompany.myproduct.gui.editors 1.8.15.qualifier to bundle com.mycompany.myproduct.preferences 1.8.15.", "Unable to satisfy dependency from com.mycompany.myproduct.gui.editors 1.8.15.qualifier to bundle com.mycompany.myproduct.gui.utils 1.8.15.", "No solution found because the problem is unsatisfiable."]

    2 unregistered visitors
    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. org.apache.maven.InternalErrorException

      Internal error: java.lang.RuntimeException: java.lang.RuntimeException: org.eclipse.equinox.p2.core.ProvisionException: Communication with repository at http://xxx/nexus/content/groups/eclipse/ failed.

      at org.apache.maven.DefaultMaven.execute()
    2. Maven Core
      DefaultMaven.execute
      1. org.apache.maven.DefaultMaven.execute(DefaultMaven.java:168)
      1 frame